Bug 150093 - Tools - Options dialog should have scrollbars in some sections
Summary: Tools - Options dialog should have scrollbars in some sections
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.5.0.0 alpha0+ Master
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.5.0 target:7.4.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2022-07-21 19:12 UTC by Rafael Lima
Modified: 2022-08-18 13:05 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot showing the problem (90.09 KB, image/png)
2022-07-21 19:12 UTC, Rafael Lima
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rafael Lima 2022-07-21 19:12:31 UTC
Created attachment 181366 [details]
Screenshot showing the problem

The default height of the Tools - Options dialog is not capable of showing all entries in the LibreOffice Calc - General section (available from within LO Calc).

See attached image and notice that the last item is barely visible (it is below the mouse pointer). And there's not a scrollbar to indicate that there's something else to be displayed in the dialog.

Of course I can resize the window and make it taller, so that the last item becomes visible. But as a user I would expect to see a scrollbar to at least show that there may be more items down below.

System info

Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: 21a31eefab1401d288dbb8220f3df3365be9efaf
CPU threads: 16; OS: Linux 5.15; UI render: default; VCL: kf5 (cairo+xcb)
Locale: pt-BR (pt_BR.UTF-8); UI: en-US
Calc: threaded

Also a problem in LO 7.3 and 7.4.
Comment 1 m.a.riosv 2022-07-21 22:43:41 UTC
Repro
Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: c1c8ce3b0f1037bca4d500af2f39363cd9d38db6
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Vulkan; VCL: win
Locale: es-ES (es_ES); UI: en-US Calc: CL

But it's possible to resize the window.
Comment 2 Commit Notification 2022-07-22 09:37:01 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/40efe03817805eee5eeaf7cba54d18963e02a370

tdf#150093 add scrollbar to calc general options for the case it doesn't fit

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2022-07-23 03:20:54 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/7c7d318f5a9afdc8cc08625dd595a74d8d0253e7

tdf#150093 add scrollbar to calc general options for the case it doesn't fit

It will be available in 7.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 BogdanB 2022-08-18 13:05:35 UTC
Fixed. Verified.
Version: 7.5.0.0.alpha0+ (x86) / LibreOffice Community
Build ID: 550392aeb849b326aa0d5d84a0ec1d28d3d42503
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: ro-RO (ro_RO); UI: en-US
Calc: threaded